Documentation Index
Fetch the complete documentation index at: https://docs.abstractapi.com/llms.txt
Use this file to discover all available pages before exploring further.
Getting started
Base URL
https://timezone.abstractapi.com/v1/convert_time
Validation endpoint
https://timezone.abstractapi.com/v1/convert_time
? api_key = YOUR_UNIQUE_API_KEY
& base_location = Los Angeles, CA
& base_datetime = 2020-05-01 07:00:00
& target_location = Oxford, United Kingdom
This was a successful request, and returns both datetime and timezone data for the base location (Los Angeles) and the target location (Oxford).
{
"base_location": {
"datetime": "2020-05-01 07:00:00",
"timezone_name": "PDT",
"timezone_location": "America/Los_Angeles",
"timezone_abbreviation": "Pacific Daylight Time",
"gmt_offset": -7,
"is_dst": true,
"requested_location": "Los Angeles,CA",
"latitude": 34.0536909,
"longitude": -118.242766
},
"target_location": {
"datetime": "2020-05-01 15:00:00",
"timezone_name": "BST",
"timezone_location": "Europe/London",
"timezone_abbreviation": "British Summer Time",
"gmt_offset": 1,
"is_dst": true,
"requested_location": "Oxford,United Kingdom",
"latitude": 51.7520131,
"longitude": -1.2578499
}
}
Request parameters
Your unique API key. Note that each user has unique API keys for each of Abstract’s APIs, so your Time, Date, and Timezone API key will not work for your User Avatar API, for example.
The location you use as a base to convert the datetime for. This parameter accepts the location as a string (e.g., Los Angeles, CA), a longitude and latitude (e.g., -31.4173391,-64.183319) , or an IP address (e.g., 82.111.111.111)
The location you want to get the datetime for. This parameter accepts the location as a string (e.g., Los Angeles, CA), a longitude and latitude (e.g., -31.4173391,-64.183319) , or an IP address (e.g., 82.111.111.111)
The current datetime you’re converting.
Response parameters
The API response is returned in a universal and lightweight JSON format.
The JSON Object containing the time and timezone details of the base location from the request.
The JSON Object containing the time and timezone details of the target location from the request.
Present in both in the base_location and target_location objects. The location from the request.
Present in both in the base_location and target_location objects. Decimal of the longitude found for the requested_location.
Present in both in the base_location and target_location objects. Decimal of the latitude found for the requested_location.
Present in both in the base_location and target_location objects. The current date and time of the requested_location.
Present in both in the base_location and target_location objects. Timezone’s name from the IANA Time Zone Database.
Present in both in the base_location and target_location objects. Timezone’s abbreviation, also from the IANA Time Zone Database.